Skip to main content
POST
/
action
/
get_calendar_events_list
Get Calendar Events List
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/get_calendar_events_list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "calendar_provider": "all",
  "event_filter": "future",
  "max_events": "30",
  "primary_calendar_only": true,
  "output_format": "json",
  "output_variable_name": "<string>",
  "with_notetaker_transcript_only": false
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
calendar_provider
enum<string>
default:all
required

Calendar service to use. Select 'All Connected Calendars' to combine events from all providers.

Available options:
all,
googlecalendar,
outlook
event_filter
enum<string>
default:future
required

Select which events to retrieve based on their timing.

Available options:
past,
future,
both
max_events
string
default:30
required

Maximum number of events to retrieve (e.g., 30).

Pattern: ^[0-9]+$
primary_calendar_only
boolean
default:true
required

Only retrieve events from the user's primary calendar.

output_format
enum<string>
default:json
required

Choose how the calendar events should be formatted.

Available options:
json,
text,
dropdown_option
output_variable_name
string
required

Provide a variable name to store the calendar events list, like 'calendar_events' or 'upcoming_meetings'.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
with_notetaker_transcript_only
boolean
default:false

When Event Filter is Past, only include events that have a notetaker recording with transcript (for post-meeting follow-up agent). Default: off for backwards compatibility.

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action